<?php

class Migration_20250911230529_alter_table_subscription_pricings_cellular
{
    public static function up(PDO $pdo)
    {
        $pdo->exec("
            ALTER TABLE `subscription_pricings`
            ADD COLUMN `cellular_sim` varchar(20) NULL AFTER `msrp_door_add`,
            ADD COLUMN `msrp_cellular_sim` varchar(20) NULL AFTER `cellular_sim`
        ");

        $pdo->exec("
            ALTER TABLE `dynamic_base_costs`
            ADD COLUMN `cellular_sim` varchar(20) NULL AFTER `msrp_door_add`,
            ADD COLUMN `msrp_cellular_sim` varchar(20) NULL AFTER `cellular_sim`
        ");

        $sql2 = "
                UPDATE subscription_pricings SET 
                    cellular_sim = :sim, 
                    msrp_cellular_sim = :msrp_sim
            ";
            $stmt = $pdo->prepare($sql2);
            $stmt->execute([
                ':sim' => '17',
                ':msrp_sim' => '24',
            ]);
    }

    public static function down(PDO $pdo)
    {
        // Rollback code here
    }
}